#include <iostream>
#include <string>
using namespace std;

long long OdrediBroj(long long cifra) 
{
	if (cifra == 0) 
	{
		return 0;
	}
	else if (cifra >= 5) 
	{
		return 1 + OdrediBroj(cifra - 5);
	}
	else if (cifra >= 2) 
	{
		return 1 + OdrediBroj(cifra - 2);
	}
	else 
	{
		return 1;
	}
}

long long Resi(string broj) 
{
	long long izlaz = 0;
	for (long long i = 0; i < broj.length(); i++)
	{
		izlaz += OdrediBroj(broj[i] - '0');
	}
	return izlaz;
}

int main()
{
	string broj;
	cin >> broj;

	cout << Resi(broj);
    return 0;
}